﻿CREATE TABLE [dbo].[PersonAddress] (
    [Id]         INT           IDENTITY (1, 1) NOT NULL,
    [PersonId]   INT           NOT NULL,
    [Line1]      NVARCHAR (50) NOT NULL,
    [Line2]      NVARCHAR (50) NOT NULL,
    [City]       NVARCHAR (50) NOT NULL,
    [State]      NVARCHAR (50) NOT NULL,
    [PostalCode] NVARCHAR (50) NOT NULL,
    PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_PersonAddress_Person] FOREIGN KEY ([PersonId]) REFERENCES [dbo].[Person] ([Id])
);

