﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Benday.Thingy.Core
{
    public class PersonValidator
    {
        public bool IsValid(IPerson validateThis)
        {
            if (validateThis == null)
            {
                return false;
            }

            if (String.IsNullOrWhiteSpace(validateThis.EmailAddress) == true)
            {
                return false;
            }

            if (String.IsNullOrWhiteSpace(validateThis.FirstName) == true)
            {
                return false;
            }

            if (String.IsNullOrWhiteSpace(validateThis.LastName) == true)
            {
                return false;
            }

            return true;
        }
    }
}
